
public static class ConfigTrayCheckout
{
    public static bool environmentProduction = false;
    public static string tokenAccount = "8bfe5ddcb77207b";
    public static string urlNotification = "http://www.meusite.com.br/notification"; // ex: http://localhost:59333/notification


    public static string UrlSplit()
    {
        //Url Production
        if (environmentProduction)
        {
            //return "https://api.traycheckout.com.br/api/seller_splits/simulate_split";
        }
        //Url Sandbox (ambiente de testes)
        return "http://api.sandbox.checkout.tray.com.br/api/seller_splits/simulate_split";
    }

    public static string UrlGetByToken()
    {
        //Url Production
        if (environmentProduction)
        {
            return "https://api.traycheckout.com.br/v2/transactions/get_by_token";
        }
        //Url Sandbox (ambiente de testes)
        return "https://api.sandbox.checkout.tray.com.br/api/v2/transactions/get_by_token";
    }

    /*public static string UrlGetByTokenV1()
    {
        //Url Production
        if (environmentProduction)
        {
            return "https://api.traycheckout.com.br/v1/transactions/get_by_token";
        }
        //Url Sandbox (ambiente de testes)
        return "https://api.sandbox.checkout.tray.com.br/api/v1/transactions/get_by_token";
    }
    */

    public static string UrlCreateTransaction()
    {
        //Url Production
        if (environmentProduction)
        {
            return "https://api.traycheckout.com.br/v2/transactions/pay_complete";
        }
        //Url Sandbox (ambiente de testes)
        return "https://api.sandbox.traycheckout.com.br/v2/transactions/pay_complete";
    }



}
